<script setup>
import Logos from "@/assets/logos.svg";
import {useAppStore} from "@/stores/app"

const appStore = useAppStore();
</script>

<template>
  <main>
    <img :src="Logos" class="logo d-block mx-auto mb-4"/>
    <p class="text-default text-center mb-6">
      الجمعية التقافية و الإجتماعية أشواق
      <br>
      نادي النجاح لدروس الدعم و التقوية وتعليم اللغات
    </p>
    <h1 class="text-heading-1 text-color-primary text-center">إستمارت التسجيل</h1>


    <div class="d-flex align-center mb-4">
      <span
          class="d-flex align-center justify-center mx-2 text-white font-weight-bold rounded-circle"
          style="width: 2rem; height: 2rem; background-color: var(--color-blue)"
      >
        {{ appStore.step }}
      </span>
      <h4 v-if="appStore.step === 1">ادخل معلوماتك الشخصية</h4>
      <h4 v-else>اختر الحصص المرجو التسجيل فيها</h4>
    </div>
    <VForm v-model="appStore.isFormValid">

      <VAlert
          class="mb-4"
          v-if="appStore.errors.length"
          type="error"
          title="خطأ في التأكيد"
          closable
      >
        {{ appStore.errors[0] }}
      </VAlert>

      <VRow v-if="appStore.step === 1">
        <VCol cols="12">
          <VRow>
            <VCol cols="12" md="6">
              <VTextField
                  v-model="appStore.formData.firstName"
                  label="الاسم"
                  density="compact"
                  variant="underlined"
              />
            </VCol>
            <VCol cols="12" md="6">
              <VTextField
                  v-model="appStore.formData.lastName"
                  label="اللقب"
                  density="compact"
                  variant="underlined"
              />
            </VCol>
            <VCol cols="12" md="6">
              <VTextField
                  v-model="appStore.formData.birthDate"
                  label="تاريخ الازدياد"
                  type="date"
                  density="compact"
                  variant="underlined"
              />
            </VCol>
            <VCol cols="12" md="6">
              <VSelect
                  v-model="appStore.formData.gender"
                  label="الجنس"
                  density="compact"
                  variant="underlined"
                  :items="appStore.genders"
              />
            </VCol>
            <VCol cols="12" md="6">
              <VTextField
                  v-model="appStore.formData.parentFullName"
                  label="اسم و لقب الولي"
                  density="compact"
                  variant="underlined"
              />
            </VCol>
            <VCol cols="12" md="6">
              <VTextField
                  v-model="appStore.formData.parentPhoneNumber"
                  label="رقم هاتف الولي"
                  density="compact"
                  variant="underlined"
              />
            </VCol>
            <VCol cols="12">
              <VTextField
                  v-model="appStore.formData.institutionName"
                  label="المؤسسة التعليمة"
                  density="compact"
                  variant="underlined"
              />
            </VCol>
            <VCol cols="12" md="6">
              <VSelect
                  v-model="appStore.formData.educationalLevel"
                  label="المستوى الدراسي"
                  density="compact"
                  variant="underlined"
                  :items="appStore.educationalLevels"
              />
            </VCol>
            <VCol cols="12" md="6">
              <VSelect
                  v-model="appStore.formData.educationalSpeciality"
                  label="الشعبة"
                  density="compact"
                  variant="underlined"
                  :items="appStore.educationalSpecialities"
              />
            </VCol>
          </VRow>
        </VCol>
      </VRow>

      <VRow v-if="appStore.step === 2" dense>
        <VCol cols="12">
          <div class="d-flex align-stretch" style="gap: 1rem">
            <div class="d-flex align-center justify-center border rounded text-color-secondary font-weight-bold"
                 style="width: 7rem">
              الرقم
            </div>
            <div
                class="flex-grow-1 d-flex align-center justify-center pa-2 border rounded text-color-secondary font-weight-bold">
              الحصة
            </div>
          </div>
        </VCol>
        <VCol
            cols="12"
            v-for="(idx) in 5"
            :key="idx"
        >
          <div class="d-flex align-stretch" style="gap: 1rem">
            <div class="d-flex align-center justify-center border rounded text-color-secondary font-weight-bold"
                 style="width: 8rem">
              {{ idx }}
            </div>
            <input
                v-model="appStore.formData.courses[idx - 1]"
                class="flex-grow-1 d-flex pa-2 border rounded"
                type="text" style="width: 100%"
            />
          </div>
        </VCol>
      </VRow>

      <VBtn
          class="mt-2"
          :disabled="appStore.isFormLoading"
          :loading="appStore.isFormLoading"
          color="primary"
          @click="() => appStore.step === 1 ? appStore.step++ : appStore.register() "
      >
        {{ appStore.step === 1 ? 'next' : 'تسجيل' }}
      </VBtn>
    </VForm>
  </main>
</template>

<style lang="scss" scoped>
.logo {
  width: 100%;
  max-width: 180px;
}
</style>